%define  patch_name kernel-feat-core-badmem

Name: %{patch_name}
Version: 2003.07.06
Release: alt1
Summary: %patch_name kernel patch - bad memory patch
License: GPL
Group: Development/Other
BuildArch: noarch
Source1: 2.4.21-badram.patch
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires:	kernel-build-tools >= 0.3-alt1

%description
This small kernel extension makes it possible to use memory chips
which are not entirely correct. It works by never allocating the
places that are wrong. Those places are specified with the badram
boot option to LILO. 

%install
mkdir -p %patches_dir/%patch_name
cp -a %SOURCE1 %patches_dir/%patch_name

%files
%dir %attr(755,root,root) %_usrsrc/kernel/patches/%patch_name/
%attr(644,root,root) %_usrsrc/kernel/patches/%patch_name/*

%changelog
* Sun Jul 06 2003 Albert R. Valiev <darkstar@altlinux.ru> 2003.07.06-alt1
- Initial build

